#!/usr/bin/env python

"""The setup script."""

from setuptools import setup, find_packages

with open('README.md') as readme_file:
    readme = readme_file.read()

requirements = ['RPi.GPIO', 'pyalsaaudio']

setup_requirements = ['pytest-runner', ]

test_requirements = ['pytest>=3', ]

setup(
    author="Marcell Pünkösd",
    author_email='punkosdmarcell@rocketmail.com',
    python_requires='>=3.7',
    classifiers=[
        'Development Status :: 3 - Alpha',
    ],
    description="Platform abstraction layer for Birbnetes IoT device",
    install_requires=requirements,
    license="MIT license",
    long_description=readme,
    include_package_data=True,
    keywords='birbnetes',
    name='birbnetes_iot_platform_raspberry',
    packages=find_packages(include=['birbnetes_iot_platform_raspberry', 'birbnetes_iot_platform_raspberry.*']),
    setup_requires=setup_requirements,
    test_suite='tests',
    tests_require=test_requirements,
    url='https://git.kmlabz.com/birbnetes/iot-platform-raspberry',
    version='0.1.0',
    zip_safe=False,
)